bitel.billing.server.gorod.bean

## Class Register

- java.lang.Object
- - bitel.billing.server.gorod.bean.Register

-     public class Register
      extends java.lang.Object

  Реестр добавлений и изменений
  Author:
    shamil

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_3`
    `static int` | `TYPE_7`
    `static int` | `TYPE_9`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Register()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Calendar` | `getDate()`
    `int` | `getFirmID()` Deprecated.
    `int` | `getId()`
    `int` | `getID()` Deprecated.
    `int` | `getTagId()`
    `int` | `getTagID()` Deprecated.
    `int` | `getType()`
    `java.lang.String` | `getTypeString()`
    `void` | `setDate(java.util.Calendar date)`
    `void` | `setFirmID(int firmID)` Deprecated.
    `void` | `setId(int id)`
    `void` | `setID(int id)` Deprecated.
    `void` | `setTagId(int tagId)`
    `void` | `setTagID(int tagId)` Deprecated.
    `void` | `setType(int type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_7

          public static final int TYPE_7

      See Also:
        Constant Field Values

    - #### TYPE_3

          public static final int TYPE_3

      See Also:
        Constant Field Values

    - #### TYPE_9

          public static final int TYPE_9

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Register

          public Register()

  - ### Method Detail

    - #### getDate

          public java.util.Calendar getDate()

    - #### setDate

          public void setDate(java.util.Calendar date)

    - #### getId

          public int getId()

    - #### getID

          @Deprecated
          public int getID()

      Deprecated.
      Использовать `getId()`.
      Returns:

    - #### setId

          public void setId(int id)

    - #### setID

          @Deprecated
          public void setID(int id)

      Deprecated.
      Использовать `setId(int)`.
      Parameters:
        `id` -

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### getTypeString

          public java.lang.String getTypeString()

    - #### getFirmID

          @Deprecated
          public int getFirmID()

      Deprecated.
      Не рекомендуется использовать
      Returns:

    - #### setFirmID

          @Deprecated
          public void setFirmID(int firmID)

      Deprecated.
      Не рекомендуется использовать
      Parameters:
        `firmID` -

    - #### getTagId

          public int getTagId()

    - #### getTagID

          @Deprecated
          public int getTagID()

      Deprecated.
      Использовать `getTagId()`.
      Returns:

    - #### setTagId

          public void setTagId(int tagId)

    - #### setTagID

          @Deprecated
          public void setTagID(int tagId)

      Deprecated.
      Использовать `setTagId(int)`.
      Parameters:
        `tagId` -